%define version 0.1.6
#FIXME - how do we handle this automatically?
%define kernel_ver 2.3.16

Summary: Provides the kernel libraries, user tools and user libraries for netfilter/iptables firewalling.
Name: netfilter
Version: %{version}
Release: 0
Copyright: GPL
Group: Utilities/Network
Source: http://www.samba.org/netfilter/netfilter-%{version}.tar.bz2
#Patch0: netfilter-makefile-install.patch
URL: http://www.samba.org/netfilter/
Vendor: Paul Russell <Paul.Russell@rustcorp.com.au>
Packager: William Stearns <wstearns@pobox.com>
BuildRoot: /tmp/netfilter-buildroot

%description
Netfilter is the new firewalling code in the 2.3.x linux 
kernels.  It provides a more extensible architecture for 
packet matching and manipluation by moving all but the 
lowest level into userspace libraries and kernel modules.
Ipchains and ipfwadm compatibility modules are available, but
not installed by default.

%prep
mkdir -p /usr/src/redhat/BUILD/kernel/
touch /usr/src/redhat/BUILD/kernel/linux-2.3	#Temporary hack to work with symlink in original tar.
%setup
#%patch0 -p1

%build
make MODULE_DIR=$RPM_BUILD_ROOT/lib/modules/%{kernel_ver}/net/ LIBDIR=$RPM_BUILD_ROOT/usr/local/lib BINDIR=$RPM_BUILD_ROOT/usr/local/bin MANDIR=$RPM_BUILD_ROOT/usr/local/man

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/local/lib
mkdir -p $RPM_BUILD_ROOT/usr/local/lib/ipnatctl
mkdir -p $RPM_BUILD_ROOT/usr/local/lib/iptables
mkdir -p $RPM_BUILD_ROOT/usr/local/bin
mkdir -p $RPM_BUILD_ROOT/usr/local/man/man8
mkdir -p $RPM_BUILD_ROOT/usr/doc/netfilter-%{version}
mkdir -p $RPM_BUILD_ROOT/lib/modules/%{kernel_ver}/net
make MODULE_DIR=$RPM_BUILD_ROOT/lib/modules/%{kernel_ver}/net/ LIBDIR=$RPM_BUILD_ROOT/usr/local/lib BINDIR=$RPM_BUILD_ROOT/usr/local/bin MANDIR=$RPM_BUILD_ROOT/usr/local/man install

%clean
#FIXME - restore next line
#rm -rf $RPM_BUILD_ROOT

%files
%doc HOWTO/ipnatctl-HOWTO.sgml HOWTO/ipnatctl-HOWTO.txt HOWTO/iptables-HOWTO.sgml HOWTO/iptables-HOWTO.txt HOWTO/netfilter-hacking-HOWTO.sgml HOWTO/netfilter-hacking-HOWTO.txt COPYING ChangeLog ChangeLog-1 README TODO original-post.txt
%attr(755,root,root)			/usr/local/bin/ipnatctl
%attr(755,root,root)			/usr/local/bin/iptables
%attr(755,root,root) %dir		/usr/local/lib/ipnatctl
%attr(755,root,root)			/usr/local/lib/ipnatctl/libnatctl_proto_tcp.so
%attr(755,root,root)			/usr/local/lib/ipnatctl/libnatctl_proto_udp.so
%attr(755,root,root) %dir		/usr/local/lib/iptables
%attr(755,root,root)			/usr/local/lib/iptables/libipt_LOG.so
%attr(755,root,root)			/usr/local/lib/iptables/libipt_icmp.so
%attr(755,root,root)			/usr/local/lib/iptables/libipt_limit.so
%attr(755,root,root)			/usr/local/lib/iptables/libipt_mac.so
%attr(755,root,root)			/usr/local/lib/iptables/libipt_standard.so
%attr(755,root,root)			/usr/local/lib/iptables/libipt_tcp.so
%attr(755,root,root)			/usr/local/lib/iptables/libipt_udp.so
%attr(644,root,root)			/usr/local/man/man8/iptables.8
%attr(644,root,root)			/lib/modules/%{kernel_ver}/net/ip_conntrack.o
%attr(644,root,root)			/lib/modules/%{kernel_ver}/net/ip_conntrack_ftp.o 
%attr(644,root,root)			/lib/modules/%{kernel_ver}/net/ip_defrag.o
%attr(644,root,root)			/lib/modules/%{kernel_ver}/net/ip_nat.o
%attr(644,root,root)			/lib/modules/%{kernel_ver}/net/ip_nat_ftp.o
%attr(644,root,root)			/lib/modules/%{kernel_ver}/net/ip_nat_map_masquerade.o
%attr(644,root,root)			/lib/modules/%{kernel_ver}/net/ip_nat_map_redirect.o
%attr(644,root,root)			/lib/modules/%{kernel_ver}/net/ipt_LOG.o
%attr(644,root,root)			/lib/modules/%{kernel_ver}/net/ipt_REJECT.o 
%attr(644,root,root)			/lib/modules/%{kernel_ver}/net/ipt_icmp.o 
%attr(644,root,root)			/lib/modules/%{kernel_ver}/net/ipt_limit.o
%attr(644,root,root)			/lib/modules/%{kernel_ver}/net/ipt_mac.o
%attr(644,root,root)			/lib/modules/%{kernel_ver}/net/ipt_tcp.o
%attr(644,root,root)			/lib/modules/%{kernel_ver}/net/ipt_udp.o
%attr(644,root,root)			/lib/modules/%{kernel_ver}/net/ipt_unclean.o
%attr(644,root,root)			/lib/modules/%{kernel_ver}/net/iptables.o
%attr(644,root,root)			/lib/modules/%{kernel_ver}/net/netfilter_dev.o

#HOWTO/netfilter-HOWTO.sgml HOWTO/netfilter-HOWTO.txt							#This document has been split into the other 3.
#%attr(755,root,root)			/usr/local/lib/iptables/libipt_MARK.so			#Removed in 0.1.6
#%attr(755,root,root)			/usr/local/lib/iptables/libipt_RATE.so			#Removed in 0.1.6
#%attr(644,root,root)			/lib/modules/%{kernel_ver}/net/ipt_MARK.o		#Removed in 0.1.6
#%attr(644,root,root)			/lib/modules/%{kernel_ver}/net/ipt_RATE.o		#Removed in 0.1.6
#%attr(644,root,root)			/lib/modules/%{kernel_ver}/net/ipfwadm.o		#Not installed by default
#%attr(644,root,root)			/lib/modules/%{kernel_ver}/net/ipchains.o		#Not installed by default


#Following are only needed for manual changes before or after installation
#%pre

#%post

#Following are only needed for manual changes before or after removal
#%preun

#%postun


%changelog
* Fri Sep 3 1999 William Stearns <wstearns@pobox.com>
- minor updates for netfilter-0.1.6.  No patches right now.

* Sun Aug 29 1999 William Stearns <wstearns@pobox.com>
- first spec file for netfilter-0.1.5
